import{s as re,n as oe,o as fe}from"../chunks/scheduler.c57aa7ef.js";import{S as me,i as ue,g as o,s as n,r as k,A as de,h as f,f as a,c as l,j as K,u as A,x as $,k as j,y as p,a as r,v as w,d as M,t as S,w as O}from"../chunks/index.c50cb18e.js";import{D as pe}from"../chunks/Docstring.b594fb60.js";import{H as Y}from"../chunks/Heading.c7d7e0e7.js";function ce(Z){let m,I,N,F,c,U,T,ee='<a href="/docs/peft/v0.8.2/en/package_reference/peft_types#peft.PeftType">PeftType</a> includes the supported adapters in PEFT, and <a href="/docs/peft/v0.8.2/en/package_reference/peft_types#peft.TaskType">TaskType</a> includes PEFT-supported tasks.',R,v,H,s,_,V,y,te="Enum class for the different types of adapters in PEFT.",X,P,ae="Supported PEFT types:",z,E,ne="<li>PROMPT_TUNING</li> <li>MULTITASK_PROMPT_TUNING</li> <li>P_TUNING</li> <li>PREFIX_TUNING</li> <li>LORA</li> <li>ADALORA</li> <li>ADAPTION_PROMPT</li> <li>IA3</li> <li>LOHA</li> <li>LOKR</li> <li>OFT</li>",q,g,D,i,h,B,x,le="Enum class for the different types of tasks supported by PEFT.",J,C,se="Overview of the supported task types:",W,L,ie=`<li>SEQ_CLS: Text classification.</li> <li>SEQ_2_SEQ_LM: Sequence-to-sequence language modeling.</li> <li>CAUSAL_LM: Causal language modeling.</li> <li>TOKEN_CLS: Token classification.</li> <li>QUESTION_ANS: Question answering.</li> <li>FEATURE_EXTRACTION: Feature extraction. Provides the hidden states which can be used as embeddings or features
for downstream tasks.</li>`,Q,b,G;return c=new Y({props:{title:"PEFT types",local:"peft-types",headingTag:"h1"}}),v=new Y({props:{title:"PeftType",local:"peft.PeftType",headingTag:"h2"}}),_=new pe({props:{name:"class peft.PeftType",anchor:"peft.PeftType",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/peft/blob/v0.8.2/src/peft/utils/peft_types.py#L22"}}),g=new Y({props:{title:"TaskType",local:"peft.TaskType",headingTag:"h2"}}),h=new pe({props:{name:"class peft.TaskType",anchor:"peft.TaskType",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/peft/blob/v0.8.2/src/peft/utils/peft_types.py#L54"}}),{c(){m=o("meta"),I=n(),N=o("p"),F=n(),k(c.$$.fragment),U=n(),T=o("p"),T.innerHTML=ee,R=n(),k(v.$$.fragment),H=n(),s=o("div"),k(_.$$.fragment),V=n(),y=o("p"),y.textContent=te,X=n(),P=o("p"),P.textContent=ae,z=n(),E=o("ul"),E.innerHTML=ne,q=n(),k(g.$$.fragment),D=n(),i=o("div"),k(h.$$.fragment),B=n(),x=o("p"),x.textContent=le,J=n(),C=o("p"),C.textContent=se,W=n(),L=o("ul"),L.innerHTML=ie,Q=n(),b=o("p"),this.h()},l(e){const t=de("svelte-u9bgzb",document.head);m=f(t,"META",{name:!0,content:!0}),t.forEach(a),I=l(e),N=f(e,"P",{}),K(N).forEach(a),F=l(e),A(c.$$.fragment,e),U=l(e),T=f(e,"P",{"data-svelte-h":!0}),$(T)!=="svelte-1ift03y"&&(T.innerHTML=ee),R=l(e),A(v.$$.fragment,e),H=l(e),s=f(e,"DIV",{class:!0});var u=K(s);A(_.$$.fragment,u),V=l(u),y=f(u,"P",{"data-svelte-h":!0}),$(y)!=="svelte-12q47m8"&&(y.textContent=te),X=l(u),P=f(u,"P",{"data-svelte-h":!0}),$(P)!=="svelte-8tjp18"&&(P.textContent=ae),z=l(u),E=f(u,"UL",{"data-svelte-h":!0}),$(E)!=="svelte-h8bko9"&&(E.innerHTML=ne),u.forEach(a),q=l(e),A(g.$$.fragment,e),D=l(e),i=f(e,"DIV",{class:!0});var d=K(i);A(h.$$.fragment,d),B=l(d),x=f(d,"P",{"data-svelte-h":!0}),$(x)!=="svelte-1fs64u2"&&(x.textContent=le),J=l(d),C=f(d,"P",{"data-svelte-h":!0}),$(C)!=="svelte-f3it03"&&(C.textContent=se),W=l(d),L=f(d,"UL",{"data-svelte-h":!0}),$(L)!=="svelte-163k0ki"&&(L.innerHTML=ie),d.forEach(a),Q=l(e),b=f(e,"P",{}),K(b).forEach(a),this.h()},h(){j(m,"name","hf:doc:metadata"),j(m,"content",Te),j(s,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(i,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,t){p(document.head,m),r(e,I,t),r(e,N,t),r(e,F,t),w(c,e,t),r(e,U,t),r(e,T,t),r(e,R,t),w(v,e,t),r(e,H,t),r(e,s,t),w(_,s,null),p(s,V),p(s,y),p(s,X),p(s,P),p(s,z),p(s,E),r(e,q,t),w(g,e,t),r(e,D,t),r(e,i,t),w(h,i,null),p(i,B),p(i,x),p(i,J),p(i,C),p(i,W),p(i,L),r(e,Q,t),r(e,b,t),G=!0},p:oe,i(e){G||(M(c.$$.fragment,e),M(v.$$.fragment,e),M(_.$$.fragment,e),M(g.$$.fragment,e),M(h.$$.fragment,e),G=!0)},o(e){S(c.$$.fragment,e),S(v.$$.fragment,e),S(_.$$.fragment,e),S(g.$$.fragment,e),S(h.$$.fragment,e),G=!1},d(e){e&&(a(I),a(N),a(F),a(U),a(T),a(R),a(H),a(s),a(q),a(D),a(i),a(Q),a(b)),a(m),O(c,e),O(v,e),O(_),O(g,e),O(h)}}}const Te='{"title":"PEFT types","local":"peft-types","sections":[{"title":"PeftType","local":"peft.PeftType","sections":[],"depth":2},{"title":"TaskType","local":"peft.TaskType","sections":[],"depth":2}],"depth":1}';function ve(Z){return fe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ye extends me{constructor(m){super(),ue(this,m,ve,ce,re,{})}}export{ye as component};
